<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('tasks', function (Blueprint $table) {
            $table->json('custom_fields')->nullable()->comment("自定义字段");
        });
        Schema::table('files', function (Blueprint $table) {
            $table->json('custom_fields')->nullable()->comment("自定义字段");
        });
        Schema::table('containers', function (Blueprint $table) {
            $table->json('custom_fields')->nullable()->comment("自定义字段");
        });
        Schema::table('custom_fields', function (Blueprint $table) {
            $table->string('group_type')->nullable()->after("group")->comment("分组类型");
        });
    }

    public function down(): void
    {
        Schema::table('tasks', function (Blueprint $table) {
            $table->dropColumn('custom_fields');
        });
        Schema::table('files', function (Blueprint $table) {
            $table->dropColumn('custom_fields');
        });
        Schema::table('containers', function (Blueprint $table) {
            $table->dropColumn('custom_fields');
        });
        Schema::table('custom_fields', function (Blueprint $table) {
            $table->dropColumn('group_type');
        });
    }
};
